#include "stdafx.h"
#include "fugen.h"
#include "fugenDoc.h"
#include "EvalSnapDisplayOff.h"

// MGEvalSnapDisplayOff

MGEvalSnapDisplayOff::MGEvalSnapDisplayOff(fugenDoc* pDoc)
: MGCommandBase(pDoc, ID_EVAL_SNAP_DISPLAY_OFF){
}

MGCommandBase* MGEvalSnapDisplayOff::initial_clone(fugenDoc* pDoc)const{
	return new MGEvalSnapDisplayOff(pDoc);
}

bool MGEvalSnapDisplayOff::initiate_tool(){
	MGCommandBase::initiate_tool();
	if(document()->includes_sysgl(ID_EVAL_SNAP_DISPLAY_ON))
		document()->DeleteDisplayList(ID_EVAL_SNAP_DISPLAY_ON,true);
	return true;
}
